[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#594197: poedit does not handle po file with simgular/plural combination strings

Package: poedit
Version: 1.4.2-5
Severity: normal

po file such as one containing:

#: cmdline/apt-get.cc:1653
#, fuzzy
msgid ""
"The following package is automatically installed and is no longer required:"
msgid_plural ""
"The following packages were automatically installed and are no longer "
msgstr[0] ""
msgstr[1] ""

poedit fails to parse and display.  This happens when source has set of strings.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages poedit depends on:
ii  gettext              GNU Internationalization utilities
ii  libatk1.0-0                   1.30.0-1   The ATK accessibility toolkit
ii  libc6                         2.11.2-2   Embedded GNU C Library: Shared lib
ii  libcairo2                     1.8.10-5   The Cairo 2D vector graphics libra
ii  libdb4.7                      4.7.25-9   Berkeley v4.7 Database Libraries [
ii  libfontconfig1                2.8.0-2.1  generic font configuration library
ii  libfreetype6                  2.4.2-1    FreeType 2 font engine, shared lib
ii  libgcc1                       1:4.4.4-9  GCC support library
ii  libglib2.0-0                  2.24.1-1   The GLib library of C routines
ii  libgtk2.0-0                   2.20.1-1   The GTK+ graphical user interface 
ii  libgtkspell0                  2.0.16-1   a spell-checking addon for GTK's T
ii  libpango1.0-0                 1.28.1-1   Layout and rendering of internatio
ii  libstdc++6                    4.4.4-9    The GNU Standard C++ Library v3
ii  libwxbase2.8-0       wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0        wxWidgets Cross-platform C++ GUI t

poedit recommends no packages.

poedit suggests no packages.

-- no debconf information

Reply to: